package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.FacedInfo;


/**
*  service接口类
*/
public interface FacedInfoService{

    List<FacedInfo> getFacedInfoList(FacedInfo record);

    List<FacedInfo> getFacedInfoByPage(Page page, FacedInfo record);

    FacedInfo getFacedInfoById(String id);

    FacedInfo getFacedInfo(FacedInfo record);

    boolean createFacedInfo(FacedInfo record);

    boolean deleteFacedInfo(String id);

    boolean updateFacedInfo(FacedInfo record);
}

